version: "3.5"
services:
  pia:
    image: qmcgaw/private-internet-access:latest
    container_name: pia
    cap_add:
      - NET_ADMIN
    devices:
      - /dev/net/tun
    network_mode: bridge
    # ports:
    #   - 8888:8888/tcp
    environment:
      - USER=p1787216
      - PASSWORD=4Jpywa5Jmg
      - ENCRYPTION=strong
      - PROTOCOL=udp
      - REGION=AU Melbourne
      - NONROOT=no
      - DOT=on
      - BLOCK_MALICIOUS=on
      - BLOCK_NSA=off
      - UNBLOCK=
      - FIREWALL=on
      - EXTRA_SUBNETS=
      - PROXY=on
      - PROXY_LOG_LEVEL=Critical
      - PROXY_USER=
      - PROXY_PASSWORD=
    restart: always
